Bug 463678 - [LTC 6.0 FEAT] 201546:FCP - code cleanup stage 2
[LTC 6.0 FEAT] 201546:FCP - code cleanup stage 2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: ---
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 465490
  Show dependency treegraph
 
Reported: 2008-09-24 02:11 EDT by IBM Bug Proxy
Modified: 2010-06-18 03:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 10:34:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 02:11:54 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:18 EDT
1. Feature Overview:
Feature Id:	[201546]
a. Name of Feature:	FCP - code cleanup stage 2
b. Feature Description
Stage 2 of the code cleanup covers functional aspects of zFCP driver  
- state machine for adapter, port and unit  
- layering violation issues regarding request processing  
- modify exchange-port, 
-config data to not use recovery semaphore  
- kernel thread API adaption  
- remove forced port recovery when port recovery is already running  
- lock consolidation (config lock vs. other locks)

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	zSeries
Request Type:	Driver - Feature from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.28

3. Business Case
Increase Stability, RAS and Code Maintenance. Reduce service costs and amount of critsits and as a
result increase satifaction of large customers

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-03-02 08:41:44 EST
working upstream for k 2.6.30,
no code to attach
Comment 2 IBM Bug Proxy 2009-04-09 04:51:46 EDT
------- Comment From mgrf@de.ibm.com 2009-04-09 04:47 EDT-------
The code for this feature is upstream accepted with k 2.6.30
Comment 3 IBM Bug Proxy 2010-06-18 03:46:06 EDT
------- Comment From mgrf@de.ibm.com 2010-06-18 03:33 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx

Note You need to log in before you can comment on or make changes to this bug.